Loading...
Searching...
No Matches
OpenMesh::VHierarchy Class Reference

Keeps the vertex hierarchy build during analyzing a progressive mesh. More...

`#include <OpenMesh/Tools/VDPM/VHierarchy.hh>`

## Public Types

typedef unsigned int | id_t
| Type for tree and node ids.

## Public Member Functions

void | clear ()
unsigned char | tree_id_bits () const
unsigned int | num_roots () const
size_t | num_nodes () const
VHierarchyNodeIndex | generate_node_index (id_t _tree_id, id_t _node_id)
void | set_num_roots (unsigned int _n_roots)
VHierarchyNodeHandle | root_handle (unsigned int i) const
const VHierarchyNode & | node (VHierarchyNodeHandle _vhierarchynode_handle) const
VHierarchyNode & | node (VHierarchyNodeHandle _vhierarchynode_handle)
VHierarchyNodeHandle | add_node ()
VHierarchyNodeHandle | add_node (const VHierarchyNode &_node)
void | make_children (const VHierarchyNodeHandle &_parent_handle)
bool | is_ancestor (VHierarchyNodeIndex _ancestor_index, VHierarchyNodeIndex _descendent_index)
bool | is_leaf_node (VHierarchyNodeHandle _node_handle)
bool | is_root_node (VHierarchyNodeHandle _node_handle)
const OpenMesh::Vec3f & | normal (VHierarchyNodeHandle _node_handle) const
const VHierarchyNodeIndex & | node_index (VHierarchyNodeHandle _node_handle) const
VHierarchyNodeIndex & | node_index (VHierarchyNodeHandle _node_handle)
const VHierarchyNodeIndex & | fund_lcut_index (VHierarchyNodeHandle _node_handle) const
VHierarchyNodeIndex & | fund_lcut_index (VHierarchyNodeHandle _node_handle)
const VHierarchyNodeIndex & | fund_rcut_index (VHierarchyNodeHandle _node_handle) const
VHierarchyNodeIndex & | fund_rcut_index (VHierarchyNodeHandle _node_handle)
VertexHandle | vertex_handle (VHierarchyNodeHandle _node_handle)
VHierarchyNodeHandle | parent_handle (VHierarchyNodeHandle _node_handle)
VHierarchyNodeHandle | lchild_handle (VHierarchyNodeHandle _node_handle)
VHierarchyNodeHandle | rchild_handle (VHierarchyNodeHandle _node_handle)
VHierarchyNodeHandle | node_handle (VHierarchyNodeIndex _node_index)

## Detailed Description

Keeps the vertex hierarchy build during analyzing a progressive mesh.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/VDPM/VHierarchy.hh
- OpenMesh/Tools/VDPM/VHierarchy.cc